Search
K
FGA-Service

Delete Tuples

Delete Tuples

post
https://qa.api.zinnia.io/fga/v1/tuples/delete

Body

application/json

DeleteTuplesRequest

tuplesarray[object]required
Show Child Parameters

Response

201 application/json

Tuples deleted

DeleteTuplesResponse

deletedarray[object]
Show Child Parameters
post/fga/v1/tuples/delete

Body

{ "tuples": [ { "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234" } ] }
 
201 application/json

List all tuples added or removed

List all tuples added or removed

get
https://qa.api.zinnia.io/fga/v1/tuples/changes

Query Parameters

typestringrequired

resource to check against, checking access for policy would be policy

Example:policy

pageSizenumber

size of the page

Default:10

<= 100

Example:10

continuationTokenstring

continuation token

Example:0yI1FcgqT74npA-o4PoHGtgvfPYa_jCAwkXjRynE-Z9sIaokCAaJMZUtfrGQrr57A3fdV2fYVO11BCkb3zZwPEDnuBotD067A3HdOlbn7F9TluNH

Response

200 application/json

OK

ChangesResponse

changesarray[object]required
Show Child Parameters
get/fga/v1/tuples/changes
 
200 application/json

Bulk check tuples to evaluate the relations

Bulk check tuples to evaluate the relations

post
https://qa.api.zinnia.io/fga/v1/bulk-check

Headers

zinnia-enable-case-type-group-authzstring

Enable case type group authorization checks

Body

application/json

BulkCheckRequest

tuplesarray[object]required
Show Child Parameters
consistencystring

Consistency preference for all checks in the bulk request. UNSPECIFIED (default) for eventual consistency, MINIMIZE_LATENCY for faster responses, HIGHER_CONSISTENCY for stronger consistency guarantees.

Allowed values:UNSPECIFIEDMINIMIZE_LATENCYHIGHER_CONSISTENCY

Default:UNSPECIFIED

Response

200 application/json

Tuples checked

BulkCheckResponse

tuplesarray[object]required
Show Child Parameters
post/fga/v1/bulk-check

Body

{ "tuples": [ { "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234" } ] }
 
200 application/json

Check tuple to evaluate the relation

Check tuple to evaluate the relation

post
https://qa.api.zinnia.io/fga/v1/check

Headers

zinnia-enable-case-type-group-authzstring

Enable case type group authorization checks

Body

application/json

CheckRequestWithConsistency

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission to check on the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

objectstringrequired

specific resource to check against, prepended with the type so policy 1234 is policy:1234

Example:policy:1234

consistencystring

Consistency preference for the check. UNSPECIFIED (default) for eventual consistency, MINIMIZE_LATENCY for faster responses, HIGHER_CONSISTENCY for stronger consistency guarantees.

Allowed values:UNSPECIFIEDMINIMIZE_LATENCYHIGHER_CONSISTENCY

Default:UNSPECIFIED

Response

200 application/json

Tuple checked

CheckResponse

allowedbooleanrequired
post/fga/v1/check

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234" }
 
200 application/json

Check tuple to evaluate the relation and the relation to its provided parent resource

Check tuple to evaluate the relation and the relation to its provided parent resource

post
https://qa.api.zinnia.io/fga/v1/check-parent

Body

application/json

ParentCheckRequest

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission to check on the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

objectstringrequired

specific resource to check against, prepended with the type so policy 1234 is policy:1234

Example:policy:1234

parentObjectstringrequired

parent object to check relation to, for example plancode:1234 for policy:1234 to verify the policy is also part of the plancode

Example:plancode:1234

Response

200 application/json

Tuple checked

CheckResponse

allowedbooleanrequired
post/fga/v1/check-parent

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234", "parentObject": "plancode:1234" }
 
200 application/json